###############################################################################################################

spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: 10000MB
      max-request-size: 10000MB

  application:
    name:                               meiku
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     meiku

  main:
    allow-bean-definition-overriding: true

  datasource:
    name: labsl
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://cd-cdb-nboe1rje.sql.tencentcdb.com:61955/labsl_meiku?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username: root
    password: Bdtp@1qaz@WSX

  second-datasource:
    name: labsl
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://cd-cdb-nboe1rje.sql.tencentcdb.com:61955/qibaishi_gallery?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username: root
    password: Bdtp@1qaz@WSX

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
#    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
#    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
     sort_properties_alphabetically:   true
persagy:
  bdtp:
    rwd:
      service: http://dmp-rwd:8080
# spring-doc 配置
springdoc:
  # springdoc 扫描的包，多个包之间使用逗号分隔
  packagesToScan:                           com.persagy.meiku
  swagger-ui:
    # API 组排序方式：asc 升序，desc 降序
    groups-order:                           asc
    # 标识排序方式：alpha 按字母升序排列
    tags-sorter:                            alpha
    # API 接口排序方式：alpha 按字母升序排列，method 按方法的定义顺序。
    operations-sorter:                      alpha

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities


